Enhancements to OS Network CRUD

Bug #1545537 reported by Reedip on 2016-02-15
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python-openstackclient
Fix Released
Medium
Reedip

Bug Description

Please refer bug ID: https://launchpad.net/bugs/1320793 and https://launchpad.net/bugs/1320796
osc net-create and osc net-update should have these additional options present

Update:
Following options would be added to the net-create and net-update
- --router:external
- --shared
- --admin-state
- --is-default
- --provider:network_type
- --provider:segment_id
- --provider:physical_network
- vlan-transparent

Reedip (reedip-banerjee) on 2016-02-15
Changed in python-openstackclient:
assignee: nobody → Reedip (reedip-banerjee)
Richard Theis (rtheis) wrote :

Reedip, can you please update the description to list the missing options so one doesn't have to read through the referenced bugs? Thank you.

Richard Theis (rtheis) wrote :

Reedip, can we use this bug to cover the net-create and net-update changes for item 10 (Enhancements to os network CRUD) under https://etherpad.openstack.org/p/osc-neutron-support?

Reedip (reedip-banerjee) wrote :

@Richard:
Yes sure, I will update the description.
The enhancements to OS Network CRUD seems good enough to be covered by this bug

description: updated
description: updated
Reedip (reedip-banerjee) on 2016-03-02
summary: - Add external network options to osc net-create/net-update
+ Enhancements to OS Network CRUD
Richard Theis (rtheis) wrote :

@Reedip, do you want to include the provider:network_type, provider:physical_network, provider:segmentation_id, and vlan-transparent as well?

Reedip (reedip-banerjee) wrote :

Richard: I am not sure about these options for now.
What do you think?

Richard Theis (rtheis) on 2016-03-03
Changed in python-openstackclient:
importance: Undecided → Medium
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/292234

Changed in python-openstackclient:
status: Confirmed → In Progress
Reedip (reedip-banerjee) wrote :

@Richard:
neutron net-external-list is already implemented as "osc network list --external"
I do not think I need to reinvent the wheel here....
Suggestions?

Richard Theis (rtheis) wrote :

@Reedip, it seems like the provider options are important to go along with --router:external so one can do the following with OSC:

neutron net-create provider --shared --router:external --provider:physical_network provider --provider:network_type flat

Richard Theis (rtheis) wrote :

@Reedip, I agree that we don't need add a new OSC command to match neutron net-external-list.

Fix proposed to branch: master
Review: https://review.openstack.org/294422

Reedip (reedip-banerjee) on 2016-03-18
description: updated

Reviewed: https://review.openstack.org/292234
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=107bc5164f99ef956d952273235648c7f8f26764
Submitter: Jenkins
Branch: master

commit 107bc5164f99ef956d952273235648c7f8f26764
Author: reedip <email address hidden>
Date: Mon Mar 14 15:35:46 2016 +0900

    Add external network options to osc network create

    The following patch adds the options "--external" & "--internal"
    and the suboptions to "external": "--default" & "--no-default",
    to "osc network create" CLI to provide the user an option to create
    a network as an external network.

    Change-Id: Idf73714bb94c0610ea164131140a51848908b00b
    Partial-Bug: #1545537

Reviewed: https://review.openstack.org/294422
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=1b351e16956563916cdf4f27071653e4b69569c2
Submitter: Jenkins
Branch: master

commit 1b351e16956563916cdf4f27071653e4b69569c2
Author: reedip <email address hidden>
Date: Mon Apr 4 11:17:29 2016 +0900

    Add provider network options to osc network create

    The following patch adds the provider network options
    to OSC "network create".

    Change-Id: Ib8449c00ee4b4285889588f03ddd7a686ce8f987
    Partial-Bug: #1545537

Fix proposed to branch: master
Review: https://review.openstack.org/303224

Reviewed: https://review.openstack.org/303222
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=67f8b898eb6d48b11b9f0624ac70f65c4311f8e8
Submitter: Jenkins
Branch: master

commit 67f8b898eb6d48b11b9f0624ac70f65c4311f8e8
Author: reedip <email address hidden>
Date: Fri Apr 8 14:24:30 2016 +0900

    Add external network options to osc network set

    The following patch adds the options "--external" & "--internal"
    and the suboptions to "external": "--default" & "--no-default",
    to "osc network set" CLI to provide the user an option to set
    a network as an external network or remove the setting.

    Change-Id: I3a7f2cb249bc8101cbb01322d7732e913237d6cd
    Partial-Bug: #1545537

Reviewed: https://review.openstack.org/303224
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=aa1495e241e99903bc8704f1981a7e3941803e35
Submitter: Jenkins
Branch: master

commit aa1495e241e99903bc8704f1981a7e3941803e35
Author: reedip <email address hidden>
Date: Fri Apr 8 14:47:04 2016 +0900

    Add provider network options to osc network set

    The following patch adds the provider network options
    to OSC "network set".

    Change-Id: I23b617077eda25d16164172a8e280082750eaf18
    Partial-Bug: #1545537

Reviewed: https://review.openstack.org/307556
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=00c149a28f72ee7236e836a7f128fce9ca5e1e09
Submitter: Jenkins
Branch: master

commit 00c149a28f72ee7236e836a7f128fce9ca5e1e09
Author: reedip <email address hidden>
Date: Tue Apr 19 13:46:15 2016 +0900

    Add VLAN Transparent option to ``osc network``

    osc network set and network create now support
    --transparent-vlan|--no-transparent-vlan options
    to add/remove vlan transparency from the network.

    Change-Id: I845eb8f541cd32a4c4b28f929a63b205e7e31756
    Closes-Bug: 1545537

Changed in python-openstackclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-openstackclient 2.5.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints